emacs25-lucid_25.2+1-6_amd64.deb


Advertisement

Description

emacs25-lucid - GNU Emacs editor (with Lucid GUI support)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name emacs25-lucid
Package version 25.2+1
Package release 6
Package architecture amd64
Package type deb
Installed size 18.76 KB
Download size 3.32 MB
Official Mirror archive.ubuntu.com
GNU Emacs is the extensible self-documenting text editor.  This
package contains a version of Emacs with support for a graphical user
interface based on the Lucid toolkit (instead of the GTK+ interface
provided by the emacs25 package).  Until some known GTK+
problems are fixed, this version may help avoid crashing Emacs during
an emacsclient disconnect.  See
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567934 and
https://bugzilla.gnome.org/show_bug.cgi?id=85715 for more
information.

Alternatives

Package Version Architecture Repository
emacs25-lucid_25.2+1-6_i386.deb 25.2+1 i386 Ubuntu Universe
emacs25-lucid - - -

Requires

Name Value
emacs25-bin-common = 25.2+1-6
libacl1 >= 2.2.51-8
libasound2 >= 1.0.16
libc6 >= 2.15
libdbus-1-3 >= 1.9.14
libfontconfig1 >= 2.11.94
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.22.0
libgif7 >= 5.1
libglib2.0-0 >= 2.12.0
libgnutls30 >= 3.5.6
libgpm2 >= 1.20.4
libice6 >= 1:1.0.0
libjpeg8 >= 8c
libm17n-0 >= 1.6.1
libmagickcore-6.q16-3 >= 8:6.9.6.8
libmagickwand-6.q16-3 >= 8:6.9.6.8
libotf0 >= 0.9.11
libpng16-16 >= 1.6.2-1
librsvg2-2 >= 2.14.4
libselinux1 >= 1.32
libsm6 -
libtiff5 >= 4.0.3
libtinfo5 >= 6
libx11-6 -
libx11-xcb1 -
libxcb1 -
libxfixes3 >= 1:4.0.1
libxft2 >> 2.1.1
libxinerama1 -
libxml2 >= 2.7.4
libxmu6 -
libxpm4 -
libxrandr2 >= 2:1.2.99.3
libxrender1 -
libxt6 -
xaw3dg >= 1.5+E-1
zlib1g >= 1:1.1.4

Provides

Name Value
editor -
emacs25 -
emacsen -
info-browser -
mail-reader -
news-reader -

Conflicts

Name Value
emacs25 -
emacs25-nox -

Replaces

Name Value
emacs25 -
emacs25-nox -

Download

Type URL
Binary Package emacs25-lucid_25.2+1-6_amd64.deb
Source Package emacs25

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install emacs25-lucid deb package:
    # sudo apt-get install emacs25-lucid

Files

Path
/usr/bin/emacs25
/usr/bin/emacs25-lucid
/usr/share/applications/emacs25-lucid.desktop
/usr/share/applications/emacs25-term.desktop
/usr/share/doc/emacs25-lucid/README.Debian
/usr/share/doc/emacs25-lucid/changelog.Debian.gz
/usr/share/doc/emacs25-lucid/copyright
/usr/share/emacs/25.2/etc/DOC
/usr/share/lintian/overrides/emacs25-lucid
/usr/share/man/man1/emacs25-lucid.1.gz
/usr/share/man/man1/emacs25.1.gz

Changelog

2017-09-11 - Rob Browning <rlb@defaultvalue.org>
emacs25 (25.2+1-6) unstable; urgency=high
* Block remote code execution via enriched text.  Add
0012-A-remote-execution-exploit-via-enriched-text-has-bee.patch to
fix the problem.  Thanks to David Bremner for the alert and
Salvatore Bonaccorso for reporting the problem to Debian.
(Closes: 875447)
2017-07-31 - Rob Browning <rlb@defaultvalue.org>
emacs25 (25.2+1-5) unstable; urgency=medium
* Build with -O0 on arm64 to avoid FTBS.  Without this the build
segfaults in marker.c when trying to construct c-by.el.
cf. https://lists.gnu.org/archive/html/emacs-devel/2017-03/msg00798.html
Thanks to Gianfranco Costamagna for reporting the bug and Barry
Warsaw for suggesting the workaround. (Closes: 868165)
2017-07-30 - Rob Browning <rlb@defaultvalue.org>
emacs25 (25.2+1-4) unstable; urgency=medium
* Disable eieio-test-method-order-list-6.  Its behavior is
unpredictable, and it was causing the armhf build to fail:
https://debbugs.gnu.org/27878
https://debbugs.gnu.org/24503#21
Add 0011-Disable-eieio-test-method-order-list-6.patch to fix the
problem.  Thanks to Glen Morris for pointing out the previous report.
2017-07-29 - Rob Browning <rlb@defaultvalue.org>
emacs25 (25.2+1-3) unstable; urgency=medium
* Actually run tests by default (fix DEB_BUILD_OPTIONS nocheck test)
Fix the inverted logic.  Thanks to John Paul Adrian Glaubitz for
reporting the problem.  (Closes: 869328)
* Completely remove gconf support.  Build --without-gconf for the
emacs25 flavor (as we already do for lucid and nox), since GConf
has been deprecated for years.  Thanks to intrigeri for reporting
the issue. (Closes: 869085)
* Fix README.Debian news entry for
0008-Don-t-provide-openssl-s_client-as-an-option-for-ssl-.patch.
* Fix memory alignment problem causing FTBS on m68k.  Thanks to John
Paul Adrian Glaubitz for reporting the problem and providing an
earlier fix. (Closes: 868868)
* Don't downcase lookup paths in elisp-mode-tests.  This caused the
tests to fail under sbuild when the test path contained uppercase
characters.  Add
0010-Don-t-downcase-real-xref-in-elisp-mode-tests.patch to fix the
problem.
2017-07-11 - Rob Browning <rlb@defaultvalue.org>
emacs25 (25.2+1-2) unstable; urgency=medium
* emacsXY-common: directly depend on install-info.  Since Emacs
qualifies as an info reader (Debian Policy 12.2).  This should
make sure the info index is correctly created/updated at install
time.  Thanks to Francesco Potortì and NIIBE Yutaka for reporting
the problem. (Closes: 850808, 863359)
* Build all flavors from common build-src via VPATH.  Instead of
building each flavor from scratch in a completely independent
debian/build-FLAVOR directory, create debian/build-src and then
configure each build-FLAVOR via VPATH.  Then the first flavor
built will handle all of the common bootstrapping, and subsequent
flavors will build much more quickly.
* Migrate to debhelper 10.
2017-07-01 - Rob Browning <rlb@defaultvalue.org>
emacs25 (25.2+1-1) unstable; urgency=medium
* Merge upstream version 25.2.
* Update debian/ for 25.2.
2017-04-23 - Rob Browning <rlb@defaultvalue.org>
emacs25 (25.1+1-4) unstable; urgency=medium
* Don't offer/use openssl s_client by default: "s_client is a debug
tool, it does not set up a secure connection, it ignores all
errors and just continues.  It also doesn't do checks it should be
doing.  This is all documented behaviour." -- Kurt Roeckx
Add 0009-openssl-s_client-is-no-longer-a-default-for-ssl-conn.patch to
fix the problem.  Thanks to Kurt Roeckx for reporting the issue.
(Closes: 766397)

See Also

Package Description
emacspeak-espeak-server_47.0+dfsg-1_amd64.deb espeak synthesis server for emacspeak
emacspeak-ss_1.12.1-7_amd64.deb Emacspeak speech servers for several synthesizers
emacspeak_47.0+dfsg-1_all.deb speech output interface to Emacs
email-reminder_0.7.8-3_all.deb Send event reminders by email
embassy-domainatrix_0.1.660-2_amd64.deb Extra EMBOSS commands to handle domain classification file
embassy-domalign_0.1.660-2_amd64.deb Extra EMBOSS commands for protein domain alignment
embassy-domsearch_0.1.660-2_amd64.deb Extra EMBOSS commands to search for protein domains
ember-media_0.7.2.1-1_all.deb 3D client framework for the WorldForge project -- media files
ember_0.7.2+dfsg-1build2_amd64.deb 3D client framework for the WorldForge project
emboss-data_6.6.0+dfsg-6build1_all.deb data files for the EMBOSS package
emboss-doc_6.6.0+dfsg-6build1_all.deb documentation for EMBOSS
emboss-explorer_2.2.0-9_all.deb web-based GUI to EMBOSS
emboss-lib_6.6.0+dfsg-6build1_amd64.deb EMBOSS Libraries
emboss-test_6.6.0+dfsg-6build1_all.deb test files for the EMBOSS package
emboss_6.6.0+dfsg-6build1_amd64.deb European molecular biology open software suite
Advertisement
Advertisement